/*
Pretpostavimo da je u zadatku dano da su m i n
manji ili jednaki 100.
Znaci ne trebamo dinamicka polja pa rijesavamo kao
i prije.
*/

#include <stdio.h>
#include <stdlib.h>

void ucitaj_niz(double* x, int n)
{
    int i;

    for(i=0;i<n;i++)
        scanf("%lf", x+i);
}

double suma_niza(double* x, int n)
{
    int i;
    double s=0;

    for(i=0;i<n;i++)
        s+=x[i];

    return s;
}

void sortiranje(double* x, int n)
{
    int i, j;
    double temp;

    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(x[i]>x[j]){
                temp=x[i];
                x[i]=x[j];
                x[j]=temp;
            }
        }
    }
}

void ispis(double* x, int n)
{
    int i;

    for(i=0; i<n; i++){
        printf("%.3f ",x[i]);
    }
    printf("\n");
}

int main(void)
{
    double a[100], b[100];
    int m, n;

    printf("m = "); scanf("%d", &m);
    printf("n = "); scanf("%d", &n);

    ucitaj_niz(b,m);
    ucitaj_niz(a,n);

    if(suma_niza(a,n)>suma_niza(b,m)){
        sortiranje(a,n);
        ispis(a,n);
    }
    else{
        sortiranje(b,m);
        ispis(b,m);
    }

    return 0;
}
