#include <stdio.h>
#include <stdlib.h>

double* alociranje_pokazivaca_na_double(int n)
{
    double* p;
    p=malloc(n*sizeof(double));
    if(p==NULL){
        printf("Greska: Nema dovoljno memorije!\n");
        exit(1);
    }
    return p;
}

void ucitaj_niz(double* x, int n)
{
    int i;

    for(i=0;i<n;i++)
        scanf("%lf", x+i);
}

double horner(double* a, int m, double x)
{
    int i;
    double p=0;

    for(i=m-1; i>=0; i--){
        p=p*x+a[i];
    }

    return p;
}

int main(void)
{
    double *a;
    int n=4,i;

    a=alociranje_pokazivaca_na_double(n+1);
    ucitaj_niz(a,n+1);

    for(i=0; i<n+1; i++){
        printf("p(%.2f) = %.2f\n", a[i], horner(a,n+1,a[i]));
    }

    free(a);

    return 0;
}
