#include <stdio.h>
#include <stdlib.h>  //funkcija malloc() nalazi se u ovoj biblioteci


int* alociranje_pokazivaca_na_int(void)
{
    int* p;
    p=(int*)malloc(sizeof(int));
    if(p==NULL){
        printf("Greska: Nema dovoljno memorije!\n");
        exit(1);
    }
    return p;
}

int main(void)
{
    int* pokazivac_int;
    double* pokazivac_double;
    char* pokazivac_char;


    pokazivac_int=alociranje_pokazivaca_na_int();
    //pokazivac_int=(int*)malloc(sizeof(int)); //moemo i bez int*, double*, char*
    pokazivac_double=(double*)malloc(sizeof(double));
    pokazivac_char=(char*)malloc(sizeof(char));

    printf("pokazivac_int pokazuje na adresu: \t %p\n", pokazivac_int);
    printf("pokazivac_double pokazuje na adresu: \t %p\n", pokazivac_double);
    printf("pokazivac_char pokazuje na adresu: \t %p\n\n", pokazivac_char);

    *pokazivac_int=17;
    printf("Na adresi pokazivac_int pise: \t \t %d\n",*pokazivac_int);
    *pokazivac_int++; //MORAMO STAVITI ZAGRADE!!! (ako ne stavimo, uocimo za koliko se mice adresa na koju pokazuje)
    printf("pokazivac_int pokazuje na adresu: \t %p\n", pokazivac_int);
    printf("Na adresi pokazivac_int pise: \t \t %d\n\n",*pokazivac_int);

    *pokazivac_double=17.5;
    printf("Na adresi pokazivac_double pise: \t %.2f\n",*pokazivac_double);
    *pokazivac_double++; //MORAMO STAVITI ZAGRADE!!!
    printf("pokazivac_double pokazuje na adresu: \t %p\n", pokazivac_double);
    printf("Na adresi pokazivac_double pise: \t %.2f\n\n",*pokazivac_double);

    *pokazivac_char='a';
    printf("Na adresi pokazivac_char pise: \t \t %c\n",*pokazivac_char);
    *pokazivac_char++; //MORAMO STAVITI ZAGRADE!!!
    printf("pokazivac_char pokazuje na adresu: \t %p\n", pokazivac_char);
    printf("Na adresi pokazivac_char pise: \t \t %c\n\n",*pokazivac_char);

    printf("sizeof(int)=%u, sizeof(double)=%u, sizeof(char)=%u\n", sizeof(int), sizeof(double), sizeof(char));
    printf("sizeof(int*)=%u, sizeof(double*)=%u, sizeof(char*)=%u\n", sizeof(int*), sizeof(double*), sizeof(char*));

    free(pokazivac_int);
    free(pokazivac_double);
    free(pokazivac_char);

    return 0;
}
