#include <stdio.h>
#include <stdlib.h>

double* alociranje_pokazivaca_na_double(int n)
{
    double* p;
    p=malloc(n*sizeof(double));
    if(p==NULL){
        printf("Greska: Nema dovoljno memorije!\n");
        exit(1);
    }
    return p;
}

void ucitaj_niz(double* x, int n)
{
    int i;

    for(i=0;i<n;i++)
        scanf("%lf", x+i);
}

void ispis(double* a, double* b, int n)
{
    int i;

    for(i=0;i<n-1;i++)
        printf("%.2f, %.2f, ", a[i], b[i]);
    printf("%.2f, %.2f.", a[n-1], b[n-1]);
    printf("\n");
}

int main(void)
{
    int n;
    double *a, *b;

    printf("n = ");
    scanf("%d", &n);

    a=alociranje_pokazivaca_na_double(n);
    b=alociranje_pokazivaca_na_double(n);
    //a=(double*)malloc(n*sizeof(double)); //probati s ovim nacinom alocirati i pri tom staviti npr. n=1000000000000
    //b=(double*)malloc(n*sizeof(double));


    ucitaj_niz(a,n);
    ucitaj_niz(b,n);

    ispis(a,b,n);

    free(a);
    free(b);

    return 0;
}
